WordPress.org

Ready to get started?Download WordPress

Forums

iThemes Security (formerly Better WP Security)
[resolved] [Plugin: Better WP Security] Version 3.0.12 makes website blank (8 posts)

  1. patsar
    Member
    Posted 2 years ago #

    The admin area goes blank and the frontend displays error in /includes/wp-db.php

    http://wordpress.org/extend/plugins/better-wp-security/

  2. kusnob
    Member
    Posted 2 years ago #

    yes i have also get this problem. i get error 500

  3. WP Monkey
    Member
    Posted 2 years ago #

    I got this and spent 12+ hours trying to bring it back. Here's what I found:

    1. Check your htaccess file to make sure that it references the path to your wordpress install on the RewriteBase and RewriteRule lines. In general, make sure the formatting of this file is to standard.
    2. I had to reset my htaccess, wp-config, wp-login, and wp-load files to 644 permissions because once I got the site back up, no one could login.

    I had tried to revert the system tweak settings back, since the hiding these files feature seemed to be the root of the problem. Knowing how to revert these changes would be VERY beneficial.

  4. Radek Kucera
    Member
    Posted 2 years ago #

    I have two similar situations:

    1) WPMU (VPS) - i have to put this line to htaccess
    RewriteBase /
    2) WP(webhosting) - I have to delete this line from htaccess
    Options All -Indexes

    dont ask my why :) i dont know :)

  5. Radek Kucera
    Member
    Posted 1 year ago #

    What i right?

    1. Options All -Indexes
    2. Options -Indexes
  6. Interesting. Sounds like it could be configuration/version issues in your Apache setup. I'll look at tweaking in future versions.

  7. Radek Kucera
    Member
    Posted 1 year ago #

    I've instaled nev instance of better-wp-security with last wersion of wordpress. webhosting, single instalation of WP.

    Your plugin put in my htacces Options All -Indexes and i have to repaired to the Options -Indexes.

    Options -Indexes - I've seen on net that this is right....

  8. Some version use Options All some use Options. I'm working on a test to make sure the version is right in the future.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic